Subject: [bug#52730] [PATCH] gnu: gst-plugins/selection: Make #:configure-flags optional.

From: Jack Hill <[email-masked]>
Date: Fri, 24 Dec 2021 01:37:17 -0500 (EST)

On Fri, 24 Dec 2021, Jack Hill wrote:

>
>
> On Fri, 24 Dec 2021, Liliana Marie Prikler wrote:
>
>> Hi,
>> 
>> Am Dienstag, dem 21.12.2021 um 22:34 -0500 schrieb Jack Hill:
>>> * gnu/packages/gstreamer.scm (gst-plugins/selection): Provide the
>>> empyt list as a default value for #:configure-flags.
>
>> The current implementation ought to copy pre-existing configure-flags
>> as-is if you don't supply flags on your own.  I personally believe
>> that's preferable over an empty value, that will probably be reset.
>> WDYT?
>
> Yes, I agree that the current implementation ought to, but it doesn't. 
> Instead it complains:
>
> """
> ice-9/psyntax.scm:2794:12: In procedure syntax-violation:
> Syntax error:
> unknown location: quote: bad syntax in form quote
> """
>
> I'll see about a v2.

I've looked at it for a little bit now, but I'm afraid that I'm stuck. I 
tried setting the default to #f (which may have been happening implicitly 
anyway):

```
(define-public gst-plugins/selection
   (lambda* (pkg #:key plugins (configure-flags #f))
     "Build PKG with only PLUGINS enabled.  Optionally, if CONFIGURE-FLAGS are
given, also pass them to the build system instead of the ones used by PKG."
     (package/inherit pkg
       (arguments
        (substitute-keyword-arguments (package-arguments pkg)
          ((#:configure-flags flags `(,@(or configure-flags '())))
           `(append
             (list
              ,@(map (lambda (plugin)
                       (string-append "-D" plugin "=enabled"))
                     plugins))
             (list ,@(or configure-flags flags))))
           ((#:phases phases)
            `(modify-phases ,phases
               (add-after 'unpack 'disable-auto-plugins
                 (lambda _
                   (substitute* "meson_options.txt"
                     (("'auto'") "'disabled'")))))))))))
```

but that still gives me the "bad syntax in form quote" message. I can keep 
thinking about it, but if someone else knows the solution, I'd be happy to 
learn from you :)

Best,
Jack